<?php
session_start();
require_once("../conexion.php");
require_once('../include/sesiones.php');

// Inicializamos el contador en cero
$contador = 0;

// Consultamos las ventas, usando LIKE para cubrir posibles variaciones en los valores de ven_tipo
$sql = mysqli_query($con, " SELECT * FROM ventas  WHERE (ven_tipo LIKE '%electronica%' OR ven_tipo LIKE '%pos electronico%') AND ven_estado != 'anulada' AND sucursal = '$sucursal' AND empresa = '$empresa'");

while ($row = mysqli_fetch_array($sql)) {
    // Obtenemos el estado_dian de cada venta
    $estado_dian = $row['estado_dian'];
    
    // Verificamos si el estado no es 'Aprobada' y aumentamos el contador
    if ($estado_dian !== 'Aprobada') {
        $contador++;
    }
}

// Si hay registros con estado no aprobado, mostramos el botón
if ($contador > 0) {
    echo '<a class="btn btn-fac-dian" data-toggle="modal" title="Facturas Pendientes Dian">
            <i class="icon-list-alt fa-lg" style="color: #ffffff; font-weight">  
            <span id="notification_count">' . $contador . '</span></i>
        </a>';
}
?>


<script>
    $(".btn-fac-dian").click(function(){
        $.get("include/modal_notificacion_fac_dian.php",function(data){
            $("#notificacion_fac_dian").html(data);
        });
        $('#modal_fac_dian').modal('show');
    });
</script>

